## python-humanize 3.2.0

=== docs/requirements.txt ===
mkdocs>=1.1
mkdocs-material
mkdocstrings

## python-humanize 0.5

=== debian/changelog ===
python-humanize (0.5-1) unstable; urgency=low

  * Initial release (Closes: #740287)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Feb 2014 18:06:31 +0100

=== debian/control ===
Source: python-humanize
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends:
 debhelper (>= 9),
 python-all,
 python-setuptools
Standards-Version: 3.9.5
Homepage: http://github.com/jmoiron/humanize
#Vcs-Git: git://git.debian.org/collab-maint/humanize.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/humanize.git;a=summary

Package: python-humanize
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python Humanize library
 This library proposes various common humanization utilities, like turning
 a number into a fuzzy human readable duration ('3 minutes ago') or into a
 human readable size or throughput.

=== debian/rules ===
#!/usr/bin/make -f

PY2_PACKAGE_NAME = python-humanize
PYVERS  = $(shell pyversions -r)

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./*.egg-info

## python-humanize 0.5.1

=== debian/changelog ===
python-humanize (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Add python3-humanize. Thanks to Kleber Souza (Closes: #797065)
  * Specify short license as MIT

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 31 Aug 2015 12:26:14 +0200

python-humanize (0.5.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 May 2015 19:25:17 +0200

python-humanize (0.5.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Dec 2014 13:32:02 +0100

=== debian/control ===
Source: python-humanize
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.0
Standards-Version: 3.9.6
Homepage: http://github.com/jmoiron/humanize
#Vcs-Git: git://git.debian.org/collab-maint/humanize.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/humanize.git;a=summary

Package: python-humanize
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python Humanize library (Python 2)
 This library proposes various common humanization utilities, like turning
 a number into a fuzzy human readable duration ('3 minutes ago') or into a
 human readable size or throughput.
 .
 This is the Python 2 version of the package.

Package: python3-humanize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python Humanize library (Python 3)
 This library proposes various common humanization utilities, like turning
 a number into a fuzzy human readable duration ('3 minutes ago') or into a
 human readable size or throughput.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=humanize

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./*.egg-info

=== debian/watch ===
version=3
https://pypi.python.org/pypi/humanize .*/humanize-(.*).tar.gz

## python-humanize 1.0.0

=== debian/changelog ===
python-humanize (1.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sylvestre Ledru ]
  * New upstream release
  * remove deprecated-escape-sequence.patch (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Feb 2020 10:36:25 +0100

python-humanize (0.5.1-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1.
  * Drop Python 2 support (Closes: #937819).

 -- Ondřej Nový <onovy@debian.org>  Tue, 29 Oct 2019 07:38:28 +0100

python-humanize (0.5.1-3) unstable; urgency=medium

  * Team upload.

  [ SVN→Git migration ]
  * Convert repository from SVN to Git.

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Gordon Ball ]
  * Update to Standards-Version 4.3.0
  * Patch one regex to use a raw string, avoiding DeprecationWarning
  * Add testsuite: autopkgtest-pkg-python to enable importability testing

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 12.
  * Set Rules-Requires-Root:no.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 18 Feb 2019 12:10:25 +0000

=== debian/control ===
Source: python-humanize
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/jmoiron/humanize
Vcs-Git: https://salsa.debian.org/python-team/modules/python-humanize.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-humanize
Testsuite: autopkgtest-pkg-python

Package: python3-humanize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python Humanize library (Python 3)
 This library proposes various common humanization utilities, like turning
 a number into a fuzzy human readable duration ('3 minutes ago') or into a
 human readable size or throughput.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=humanize
export VERSION=$(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}'|cut -d- -f1)

%:
	echo "version = '$(VERSION)'" > _humanize_version.py
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_clean:
	${RM} -rvf ./*.egg-info
	${RM} -r _humanize_version.py
	${RM} -r __pycache__

## python-humanize 2.4.1

=== debian/changelog ===
python-humanize (2.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Jun 2020 09:18:16 +0200

python-humanize (2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 10 May 2020 13:52:22 +0200

python-humanize (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Apr 2020 13:44:53 +0200

python-humanize (2.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Mar 2020 12:50:19 +0100

python-humanize (2.0.0-2) unstable; urgency=medium

  [ Richard Laager ]
  * Fix autopkgtest (Closes: #953231)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Mar 2020 18:09:37 +0100

python-humanize (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Mar 2020 14:46:21 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: python3-humanize
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
 Description: Python Humanize library (Python 3)
  This library proposes various common humanization utilities, like turning
  a number into a fuzzy human readable duration ('3 minutes ago') or into a

## python-humanize 2.5.0

=== debian/changelog ===
python-humanize (2.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Aug 2020 12:15:38 +0200

## python-humanize 3.2.0

=== debian/changelog ===
python-humanize (3.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Security-Contact.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Dec 2020 22:04:48 +0100

python-humanize (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0, no changes needed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 22 Oct 2020 22:44:53 +0200

python-humanize (3.0.1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Oct 2020 08:58:33 +0200

python-humanize (2.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 29 Aug 2020 12:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-humanize
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jmoiron/humanize
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-humanize.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-humanize
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-humanize.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-humanize
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-humanize

## python-humanize 4.0.0

=== debian/changelog ===
python-humanize (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 Feb 2022 23:38:49 +0100

python-humanize (3.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Feb 2022 09:46:20 +0100

python-humanize (3.13.1-2) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 05 Dec 2021 17:24:25 +0100

python-humanize (3.12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Oct 2021 13:36:31 +0200

python-humanize (3.11.0-1) unstable; urgency=medium

  * New upstream release + upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Aug 2021 20:33:05 +0200

python-humanize (3.9.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Jun 2021 18:04:08 +0200

python-humanize (3.4.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 14 Apr 2021 15:16:10 +0200

python-humanize (3.3.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Mar 2021 23:07:11 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jmoiron/humanize
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-humanize.git

## python-humanize 4.3.0

=== debian/changelog ===
python-humanize (4.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 12 Aug 2022 11:00:00 +0200

python-humanize (4.2.3-2) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jul 2022 11:37:29 +0200

python-humanize (4.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Jun 2022 15:25:27 +0200

## python-humanize 4.4.0

=== docs/requirements.txt ===
mkdocs==1.3.1
mkdocs-material
mkdocstrings[python]==0.19.0
mkdocs-include-markdown-plugin
pygments
pymdown-extensions==9.5

=== debian/changelog ===
python-humanize (4.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Sep 2022 07:01:11 -1000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jmoiron/humanize
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-humanize.git

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
+# Todo fix that
 
 override_dh_auto_clean:
 	${RM} -rvf ./*.egg-info

=== debian/watch ===
version=4
https://pypi.python.org/pypi/humanize .*/humanize-(.*).tar.gz

## python-humanize 4.9.0

=== docs/requirements.txt ===
mkdocs==1.5.3
mkdocs-material
mkdocstrings[python]==0.23.0
mkdocs-include-markdown-plugin
pygments
pymdown-extensions==10.3.1

=== debian/changelog ===
python-humanize (4.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Dec 2023 22:47:48 +0100

python-humanize (4.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Oct 2023 23:45:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,10 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-setuptools
+ python3-setuptools,
+ pybuild-plugin-pyproject,
+ python3-hatchling,
+ python3-hatch-vcs
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jmoiron/humanize

## python-humanize 4.10.0

=== docs/requirements.txt ===
mkdocs==1.6.0
mkdocs-material
mkdocstrings[python]==0.25.1
mkdocs-include-markdown-plugin
pygments
pymdown-extensions==10.8.1

=== debian/changelog ===
python-humanize (4.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Aug 2024 00:07:48 +0200

## python-humanize 4.11.0

=== docs/requirements.txt ===
mkdocs==1.6.1
mkdocs-material
mkdocstrings[python]==0.26.1
mkdocs-include-markdown-plugin
pygments
pymdown-extensions==10.11.2

=== debian/changelog ===
python-humanize (4.11.0-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-setuptools & python3-pkg-resources
    (Closes: #1083649)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 20:58:18 +0100

python-humanize (4.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Oct 2024 13:25:07 +0200

## python-humanize 4.12.1

=== docs/requirements.txt ===
mkdocs==1.6.1
mkdocs-include-markdown-plugin
mkdocs-material
mkdocstrings[python]==0.27.0
pygments
pymdown-extensions==10.14.3

=== debian/changelog ===
python-humanize (4.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 07 Mar 2025 12:02:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-setuptools,
  pybuild-plugin-pyproject,
  python3-hatchling,
  python3-hatch-vcs
@@ -20,7 +19,7 @@
 
 Package: python3-humanize
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Python Humanize library (Python 3)
  This library proposes various common humanization utilities, like turning
  a number into a fuzzy human readable duration ('3 minutes ago') or into a

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 %:
 	echo "version = '$(VERSION)'" > _humanize_version.py
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 # Todo fix that
